%define _disable_ld_no_undefined 1

%define	major		2
%define	libname		%mklibname %{name} %{major}
%define	devname		%mklibname %{name} -d

%define	fsresize_major	0
%define	libfsresize	%mklibname %{name}-fs-resize %{fsresize_major}

Summary:	Flexible partitioning tool
Name:		parted
Version:	3.2
Release:	1
License:	GPLv3+
Group:		System/Configuration/Hardware
Url:		http://www.gnu.org/software/parted/
Source0:	http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz
Source1:	http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz.sig
# Fedora patches
Patch0001: 0001-tests-Try-several-UTF8-locales.patch
Patch0002: 0002-maint-post-release-administrivia.patch
Patch0003: 0003-libparted-also-link-to-UUID_LIBS.patch
Patch0004: 0004-lib-fs-resize-Prevent-crash-resizing-FAT16-file-syst.patch
Patch0005: 0005-tests-t3000-resize-fs.sh-Add-FAT16-resizing-test.patch
Patch0006: 0006-tests-t3000-resize-fs.sh-Add-requirement-on-mkfs.vfa.patch
Patch0007: 0007-tests-Change-minimum-size-to-256MiB.patch
Patch0008: 0008-parted-don-t-crash-in-disk_set-when-disk-label-not-f.patch
Patch0009: 0009-tests-Add-a-test-for-device-mapper-partition-sizes.patch
Patch0010: 0010-libparted-device-mapper-uses-512b-sectors.patch
Patch0011: 0011-Update-manpage-NAME-so-whatis-will-work.patch
Patch0012: 0012-tests-Make-sure-the-extended-partition-length-is-cor.patch
Patch0013: 0013-libparted-BLKPG_RESIZE_PARTITION-uses-bytes-not-sect.patch
Patch0014: 0014-parted-Fix-crash-with-name-command-and-no-disklabel-.patch
Patch0015: 0015-UI-Avoid-memory-leaks.patch
Patch0016: 0016-libparted-Fix-memory-leaks.patch
Patch0017: 0017-libparted-Fix-possible-memory-leaks.patch
Patch0018: 0018-libparted-Stop-converting-.-in-sys-path-to.patch
Patch0019: 0019-libparted-Use-read-only-when-probing-devices-on-linu.patch
Patch0020: 0020-tests-Use-wait_for_dev_to_-functions.patch
# Our patches
Patch1021: parted-3.1-libparted-Support-Linux-fs-GUID.patch

BuildRequires:	texinfo
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(devmapper)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(uuid)
# make check
BuildRequires:	util-linux
Requires:	e2fsprogs

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%files -f %{name}.lang
%doc README
%{_sbindir}/*
%{_mandir}/man*/*
%{_infodir}/parted.info*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The parted library
Group:		Development/C

%description -n %{libname}
This package includes the dynamic libraries.

%files -n %{libname}
%doc TODO
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libfsresize}
Summary:	The parted fs-resize library
Group:		Development/C

%description -n %{libfsresize}
This package includes the dynamic libraries.

%files -n %{libfsresize}
%{_libdir}/lib%{name}-fs-resize.so.%{fsresize_major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Files required to compile software that uses libparted
Group:		Development/C
Requires:	e2fsprogs
Requires:	%{libname} = %{EVRD}
Requires:	%{libfsresize} = %{EVRD}
Provides:	parted-devel = %{EVRD}

%description -n %{devname}
This package includes the header files and libraries needed to
link software with libparted.

%files -n %{devname}
%doc AUTHORS ChangeLog doc/API
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libparted.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

%check
export PATH=$PATH:/sbin
make check

%changelog

* Tue Mar 01 2016 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 3.2-1
- (6bdb450) Added Fedora patches


